#!/home/ywan/soft/anaconda3/bin/python
import numpy as np
import matplotlib.pyplot as plt
import seaborn
import INPUT

def loadDataSet(fileName):
    numFeat = len(open(fileName).readline().split()) 
    fr = open(fileName)
    dataMat = []
    for line in fr.readlines():
        lineArr = []
        curLine = line.split()
        for i in range(len(curLine)):
            lineArr.append(float(curLine[i]))
        dataMat.append(lineArr)
    return dataMat

def correlation(name):
    a = np.array(name)
    plt.figure(dpi=(300))
    font={'weight':'bold', 'color':'black', 'size':16}
    xlabels = INPUT.feature_name(2)
    seaborn.heatmap(a,vmin=-1, vmax=1,linewidth=0.5,cmap='rainbow',xticklabels=xlabels, yticklabels=xlabels,square=True,cbar=True)
    plt.yticks(size=14)
    plt.xticks(size=14)
    cax = plt.gcf().axes[-1]
    cax.tick_params(labelsize=14)
    plt.savefig('feature_correlation.png',bbox_inches='tight')
    #plt.show()
